Bug 497529 - lpstat uses incorrect IPP-Get-Jobs request; rejected by CUPS-1.3.10
lpstat uses incorrect IPP-Get-Jobs request; rejected by CUPS-1.3.10
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 09:48 EDT by Tim Waugh
Modified: 2009-09-02 07:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups-get-jobs-printer-uri.patch (1.13 KB, patch)
2009-04-24 09:48 EDT, Tim Waugh
no flags Details | Diff
cups-get-jobs-printer-uri.patch (1.51 KB, patch)
2009-04-24 11:46 EDT, Tim Waugh
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2996 None None None Never
CUPS Bugs and Features 3107 None None None Never
CUPS Bugs and Features 3117 None None None Never

  None (edit)
Description Tim Waugh 2009-04-24 09:48:55 EDT
Created attachment 341167 [details]
cups-get-jobs-printer-uri.patch

Description of problem:
In 1.3.10 CUPS-Get-Jobs IPP requests without a printer-uri attribute are rejected.  Unfortunately lpstat didn't start sending correctly-formed CUPS-Get-Jobs IPP requests until 1.3.10, so we'll need to patch 1.3.7 to do that.

This will make Red Hat Enterprise Linux 5 CUPS machines able to operate correctly with Fedora and future Red Hat Enterprise Linux releases.

Version-Release number of selected component (if applicable):
cups-1.3.7-8.el5

How reproducible:
100%

Steps to Reproduce:
1.lpstat -h f10-host -o
  
Actual results:
Failure

Expected results:
List of queued jobs

See also bug #497518, the Fedora bug in which this was reported; and STR #2996, the upstream bug report which provoked the change.

Attached patch is sufficient.
Comment 1 Tim Waugh 2009-04-24 11:46:18 EDT
STR #3107 is related, fixes cupsGetJobs2().
Comment 2 Tim Waugh 2009-04-24 11:46:46 EDT
Created attachment 341198 [details]
cups-get-jobs-printer-uri.patch
Comment 3 Tim Waugh 2009-04-24 12:29:15 EDT
Fedora bug report is bug #497519, not #497518.
Comment 4 Opher Shachar 2009-04-25 03:26:56 EDT
If you're at it, please, also include STR #3117.
It is also related - it solves the issue with lpq.
Comment 5 Phil Knirsch 2009-05-06 11:04:52 EDT
Granting Devel ACK, simple fix.

Thanks & regards, Phil
Comment 11 errata-xmlrpc 2009-09-02 07:26:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1360.html

Note You need to log in before you can comment on or make changes to this bug.